Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 687942 - Review Request: mysql-sandbox - Quick painless install of side by side MySQL server in isolation
Summary: Review Request: mysql-sandbox - Quick painless install of side by side MySQL ...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-03-15 18:58 UTC by Jeffrey Ness
Modified: 2016-01-04 19:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 19:19:38 UTC


Attachments (Terms of Use)

Description Jeffrey Ness 2011-03-15 18:58:24 UTC
Spec URL: https://github.com/jness/mysql-sandbox-RPM/blob/master/SPECS/mysql-sandbox.spec

SRPM URL: https://github.com/jness/mysql-sandbox-RPM/blob/master/SRPMS/mysql-sandbox-3.0.17-1.fc14.src.rpm?raw=true

Description: 
Quick painless install of side by side MySQL server in isolation. 
MySQL Sandbox is a tool for installing one or more MySQL servers 
in isolation, without affecting other servers.

rpmlint:
=============

$ rpmlint SPECS/mysql-sandbox.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/mysql-sandbox-3.0.17-1.fc14.src.rpm 
mysql-sandbox.src: I: enchant-dictionary-not-found en_US

$ rpmlint /var/lib/mock/epel-5-x86_64/result/mysql-sandbox-3.0.17-1.el5.noarch.rpm 
mysql-sandbox.noarch: I: enchant-dictionary-not-found en_US
mysql-sandbox.noarch: W: no-manual-page-for-binary sbtool
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_installed
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary test_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_custom_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary low_level_make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary sb
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_source
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_replication_sandbox
1 packages and 0 specfiles checked; 0 errors, 11 warnings.

Comment 1 Jeffrey Ness 2011-03-15 19:00:25 UTC
As mentioned in the Changelog, I am attempted to get the no-manual Warnings removed by upstream:

  https://answers.launchpad.net/mysql-sandbox/+question/148179

Comment 3 Andrew Garner 2011-03-25 15:29:22 UTC
The following bug for the make_sandbox_from_installed script affects RHEL/Fedora:

https://bugs.launchpad.net/mysql-sandbox/+bug/606206

This is due to not checking for /usr/lib64/mysql/ paths.  This makes that particular script pretty much broken.  There is a fix linked to that launchpad bug but has not yet been merged into main.

Comment 4 Jeffrey Ness 2011-03-25 15:55:43 UTC
Thanks for the catch Andrew,

I've added a patch to address this issue:

 SPEC: https://github.com/jness/mysql-sandbox-RPM/blob/master/SPECS/mysql-sandbox.spec

 SRPM: https://github.com/jness/mysql-sandbox-RPM/blob/master/SRPMS/mysql-sandbox-3.0.17-3.fc14.src.rpm?raw=true

Jeffrey-

Comment 5 Andrew Garner 2011-03-31 05:19:52 UTC
I ran into an obscure conflict with this mysql-sandbox rpm and another fedora/rhel package:
# rpm -Uhv mysql-sandbox-3.0.17-3.el5.noarch.rpm 
Preparing...                ########################################### [100%]
        file /usr/bin/sb from install of mysql-sandbox-3.0.17-3.el5.noarch conflicts with file from package lrzsz-0.12.20-22.1.x86_64

Comment 6 Jeffrey Ness 2011-04-01 12:39:27 UTC
Asking upstream if you would consider binary name changes:

    https://answers.launchpad.net/mysql-sandbox/+question/151299

Comment 7 Jeffrey Ness 2011-05-09 19:19:38 UTC
Looks like upstream is ignoring this issue.... https://answers.launchpad.net/mysql-sandbox/+question/151299

I'm very hesitant to add a package to EPEL with the developers not being active enough to answer / address issues.

Going to close out this bug.

Comment 8 Jeffrey Ness 2011-05-16 19:28:29 UTC
After some discussion we are going to move forward with getting this build in for EPEL and Fedora:

SPEC: 
   https://github.com/jness/mysql-sandbox-RPM/blob/master/SPECS/mysql-sandbox.spec
SRPM: 
   https://github.com/jness/mysql-sandbox-RPM/blob/master/SRPMS/mysql-sandbox-3.0.17-4.fc14.src.rpm

RPMLINT:

   $ rpmlint SPECS/mysql-sandbox.spec 
   0 packages and 1 specfiles checked; 0 errors, 0 warnings.

   $ rpmlint SRPMS/mysql-sandbox-3.0.17-4.fc14.src.rpm 
   mysql-sandbox.src: I: enchant-dictionary-not-found en_US
   1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 10 Jason Tibbitts 2013-04-30 17:47:02 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

This appears to build fine, but I wonder if it needs any work for the recent switch to mariadb and the resulting confusion relating to that.

And a couple of quick comments; I'm just trying to look at old tickets so this isn't trying to be remotely comprehensive:

You can remove the fedora <= 14 conditional, since obviously there is not currently any supported release < 17.

Don't use "%{__make}"; just use "make".

%defattr hasn't been needed since RHEL4; what you have is the default.

There's no point in specifying an %attr the same as the %defattr; that's the point of having a default.  It's probably also just simpler to chmod +x the executables in %build if they really aren't made executable.  It at least makes the %files list look cleaner.

I don't understand why you %exclude the auto directory when it doesn't appear to be specified elsewhere in the files list.

There's a bunch of stuff you could drop if this wasn't bound for EL, but it is.

Comment 11 bharper 2013-10-22 19:27:49 UTC
I have been speaking with Jeffrey and did some work on updating this package.  Upstream has corrected the issue effecting comment #5. The spec file has been cleaned up based on Jason's feedback.

Spec URL: https://raw.github.com/b-harper/mysql-sandbox-RPM/master/SPECS/mysql-sandbox.spec

SRPM URL: https://github.com/b-harper/mysql-sandbox-RPM/raw/master/SRPMS/mysql-sandbox-3.0.42-1.fc17.src.rpm

$ rpmlint SPECS/mysql-sandbox.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/mysql-sandbox-3.0.42-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/mysql-sandbox-3.0.42-1.el5.noarch.rpm 
mysql-sandbox.noarch: W: no-manual-page-for-binary deploy_to_remote_sandboxes.sh
mysql-sandbox.noarch: W: no-manual-page-for-binary sbtool
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_installed
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary test_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msb
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_custom_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary low_level_make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_source
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_replication_sandbox
1 packages and 0 specfiles checked; 0 errors, 12 warnings.


$ rpmlint RPMS/mysql-sandbox-3.0.42-1.el6.noarch.rpm 
mysql-sandbox.noarch: W: no-manual-page-for-binary deploy_to_remote_sandboxes.sh
mysql-sandbox.noarch: W: no-manual-page-for-binary sbtool
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_installed
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary test_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msb
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_custom_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary low_level_make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_source
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_replication_sandbox
1 packages and 0 specfiles checked; 0 errors, 12 warnings.


$ rpmlint RPMS/mysql-sandbox-3.0.42-1.fc21.noarch.rpm 
mysql-sandbox.noarch: W: no-manual-page-for-binary deploy_to_remote_sandboxes.sh
mysql-sandbox.noarch: W: no-manual-page-for-binary sbtool
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_installed
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary test_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msb
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_custom_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary msandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary low_level_make_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_sandbox_from_source
mysql-sandbox.noarch: W: no-manual-page-for-binary make_multiple_sandbox
mysql-sandbox.noarch: W: no-manual-page-for-binary make_replication_sandbox
1 packages and 0 specfiles checked; 0 errors, 12 warnings.

Upstream has yet to add these man pages and the bug has not been updated.


Note You need to log in before you can comment on or make changes to this bug.